## org.ggf.drmaa
Class InvalidAttributeValueException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.ggf.drmaa.DrmaaException
                  org.ggf.drmaa.InvalidAttributeException
                      org.ggf.drmaa.InvalidAttributeValueException

All Implemented Interfaces:
  java.io.Serializable

public class InvalidAttributeValueException
extends InvalidAttributeException

The value for the attribute is invalid.

Since:
  0.4.2
Author:
  dan.templeton@sun.com
See Also:
  Serialized Form

Constructor Summary
`InvalidAttributeValueException()` Creates a new instance of `InvalidAttributeValueException` without detail message.
`InvalidAttributeValueException(java.lang.String msg)` Constructs an instance of `InvalidAttributeValueException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidAttributeValueException

    public InvalidAttributeValueException()

  Creates a new instance of `InvalidAttributeValueException` without detail message.

### InvalidAttributeValueException

    public InvalidAttributeValueException(java.lang.String msg)

  Constructs an instance of `InvalidAttributeValueException` with the specified detail message.

Parameters:
  `msg` - the detail message.